{ pkgs ? import <nixpkgs> {},
}:

let
  cargoSha256 = "11hvxh8drqpimax7b5z5r8qiwzy00j5r0xdshml0wgzxnmrnxzqc";

  build = pname: pkgs.rustPlatform.buildRustPackage {
    inherit pname;
    version = "0.1.0";
    src = ./.;
    buildInputs = with pkgs; [
      pkg-config openssl
      postgresql.lib
    ];
    preBuild = "pushd ${pname}";
    postBuild = "popd";
    inherit cargoSha256;
  };
in {
  ticker-update = build "ticker-update";
  ticker-serve = build "ticker-serve";
}
